;;;LeeAtribX.LSP
;;;Funcin para extraccin de datos a partir de objetos ActiveX
(defun LeeAtribX (objBloque / minimo maximo listaDatos)
  (vl-load-com)
  (if (equal (vlax-get-property objBloque "HasAttributes")
             :vlax-true
      ) ;_ fin de equal
    (progn (vla-GetBoundingBox objBloque 'minimo 'maximo)
           (setq listaDatos
                  (cons (cons "ExtMax" (vlax-safearray->list maximo))
                        listaDatos
                  ) ;_ fin de cons
           ) ;_ fin de setq
           (setq listaDatos
                  (cons (cons "ExtMin" (vlax-safearray->list minimo))
                        listaDatos
                  ) ;_ fin de cons
           ) ;_ fin de setq
           (foreach atributo
                    (vlax-safearray->list
                      (vlax-variant-value (vla-GetAttributes objBloque))
                    ) ;_ fin de vlax-safearray->list
             (setq listaDatos (cons (Procesa atributo) listaDatos))
           ) ;_ fin de foreach
           (setq listaDatos
                  (cons (cons "Bloque"
                              (vlax-get-property objBloque "Name")
                        ) ;_ fin de cons
                        listaDatos
                  ) ;_ fin de cons
           ) ;_ fin de setq
    ) ;_ fin de progn
  ) ;_ fin de if
  listaDatos
  ;;valor devuelto por la funcin
) ;_ fin de defun

(defun Procesa (obj /)
  (cons (vlax-get-property obj "TagString")
        (vlax-get-property obj "TextString")
  ) ;_ fin de cons
) ;_ fin de defun
